KListAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KListAction Class Reference

This class or method is obsolete, it is provided for compatibility only. Use KSelectAction instead. More...

`#include <kaction.h>`

Inheritance diagram for KListAction:

[legend]
Collaboration diagram for KListAction:

[legend]
List of all members.

## Public Slots
virtual void | setCurrentItem (int index)
| Sets the currently checked item.
## Public Member Functions
| KListAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| Constructs a list action with text and potential keyboard accelerator but nothing else.
| KListAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KListAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KListAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (QObject *parent=0, const char *name=0)
virtual | ~KListAction ()
| Destructor.
virtual QString | currentText () const
virtual int | currentItem () const
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This class or method is obsolete, it is provided for compatibility only. Use KSelectAction instead.

Definition at line 1074 of file kaction.h.

## Constructor & Destructor Documentation

KListAction::KListAction | ( | const QString & | text,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Constructs a list action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing. Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1914 of file kaction.cpp. References KStdAccel::cut(), and QObject::name().

KListAction::KListAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1921 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), and KStdAccel::name().

KListAction::KListAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1931 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KListAction::KListAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1939 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KListAction::KListAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1947 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), and KStdAccel::name().

KListAction::KListAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1958 of file kaction.cpp. References QObject::connect(), KStdAccel::cut(), and KStdAccel::name().

KListAction::KListAction | ( | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1969 of file kaction.cpp. References KStdAccel::name().

KListAction::~KListAction | ( |  | ) | `[virtual]`

| Destructor. Definition at line 1975 of file kaction.cpp.

## Member Function Documentation

void KListAction::setCurrentItem | ( | int | index | ) | `[virtual, slot]`

  | Sets the currently checked item. Parameters:
  index | Index of the item (remember the first item is zero).
Reimplemented from KSelectAction. Definition at line 1980 of file kaction.cpp. References KSelectAction::setCurrentItem().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:02:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001